## org.codehaus.groovy.grails.compiler.support
Class GrailsResourceLoader

    java.lang.Object
      org.codehaus.groovy.grails.compiler.support.GrailsResourceLoader

All Implemented Interfaces:
  groovy.lang.GroovyResourceLoader

    public class GrailsResourceLoader

extends Object
implements groovy.lang.GroovyResourceLoader

A GroovyResourceLoader that loads groovy files using Spring's IO abstraction

Since:
  0.1 Created: 22-Feb-2006
Author:
  Graeme Rocher

Constructor Summary
`GrailsResourceLoader(Resource[] resources)`

Method Summary
`List` `getLoadedResources()`
`Resource` `getResourceForClass(Class theClass)` Returns the Grails resource for the given class or null if it is not a Grails resource
`Resource[]` `getResources()`
`URL` `loadGroovySource(String className)`
`void` `setResources(Resource[] resources)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsResourceLoader

    public GrailsResourceLoader(Resource[] resources)

Method Detail

### getLoadedResources

    public List getLoadedResources()

### setResources

    public void setResources(Resource[] resources)

### getResources

    public Resource[] getResources()

### loadGroovySource

    public URL loadGroovySource(String className)
                         throws MalformedURLException

  Specified by:
    `loadGroovySource` in interface `groovy.lang.GroovyResourceLoader`
  Throws:
    `MalformedURLException`

### getResourceForClass

    public Resource getResourceForClass(Class theClass)

  Returns the Grails resource for the given class or null if it is not a Grails resource

  Parameters:
    `theClass` - The class
  Returns:
    The Resource or null

Copyright (c) 2005-2009 The Grails project